diff --git a/include/speex/speex_preprocess.h b/include/speex/speex_preprocess.h
index 2730595..2398c72 100644
--- a/include/speex/speex_preprocess.h
+++ b/include/speex/speex_preprocess.h
@@ -215,6 +215,9 @@ int speex_preprocess_ctl(SpeexPreprocessState *st, int request, void *ptr);
 /** Get preprocessor Automatic Gain Control level (int32) */
 #define SPEEX_PREPROCESS_GET_AGC_TARGET 47
 
+/** Get loudness of previous frame (float) */
+#define SPEEX_PREPROCESS_GET_PREV_LOUDNESS 48
+
 #ifdef __cplusplus
 }
 #endif
diff --git a/libspeex/preprocess.c b/libspeex/preprocess.c
index 9b114a8..e8a2a33 100644
--- a/libspeex/preprocess.c
+++ b/libspeex/preprocess.c
@@ -1205,6 +1205,9 @@ EXPORT int speex_preprocess_ctl(SpeexPreprocessState *state, int request, void *
    case SPEEX_PREPROCESS_GET_AGC_TARGET:
       (*(spx_int32_t*)ptr) = st->agc_level;
       break;
+   case SPEEX_PREPROCESS_GET_PREV_LOUDNESS:
+      (*(float*)ptr) = st->prev_loudness;
+      break;
 #endif
    default:
       speex_warning_int("Unknown speex_preprocess_ctl request: ", request);
